Groovy 1.7.0

## org.codehaus.groovy.control
Class CompilationUnit.ProgressCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ProgressCallback

    class CompilationUnit.ProgressCallback

A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

Constructor Summary
`CompilationUnit.ProgressCallback()`

Method Summary
`void` | `call(ProcessingUnit context, int phase)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CompilationUnit.ProgressCallback

    CompilationUnit.ProgressCallback()

Method Detail

### call

    public void call(ProcessingUnit context, int phase)

Copyright © 2003-2009 The Codehaus. All rights reserved.